Table of Contents

Previous: -help

## Option: identifier-chars

-identifier-chars=list
    Define non-alphanumeric characters that may be used in identifiers. By default, ftnchek only accepts the dollar sign and underscore as non-alphanumeric characters in identifier names. The characters in the list replace whatever set of accepted non-alphanumeric characters was previously in effect. Thus, if dollar sign or underscore are not included in the list, they lose their status as acceptable characters.

    This option is provided to enable ftnchek to handle source files containing non-standard identifer names that may be needed, for example, to access certain operating system services. See the section on Limitations and Extensions for the treatment of identifiers containing these characters in implicit typing.

    Using -noidentifer-chars turns off acceptance of non-alphanumeric characters entirely.

    See also: -source.

  Next: -include